<div
  class="slider w-100"
  style="min-height: 50px; background-color: #f5f5f5; padding-left: 1em; padding-right: 1em; padding-top: 1.2em"
>
  <div class="elements" style="position: relative; width: 100%; bottom: 35px; font-size: 0.75em">
    <ng-container *ngFor="let item of items">
      <div
        class="element"
        *ngIf="item.dataList.length"
        (click)="
          $event.stopPropagation(); menuData = item.dataList; openDropDown($event.target, item.dataList, { width: 280 })
        "
        [ngStyle]="{ left: getLeftPosition(item.value) + '%', position: 'absolute', 'border-radius': '50%' }"
        [ngClass]="'item-' + getClass(item.value)"
      >
        {{ item.dataList.length }}
      </div>
    </ng-container>
  </div>
  <div class="bar" style="height: 0.5em; background-color: #d5d3d3; width: 100%"></div>
  <div class="steps" style="display: flex; position: relative; left: -0.25em">
    <div
      class="step"
      *ngFor="let step of steps"
      [ngStyle]="{ left: getLeftStepPosition(step) + '%', position: 'absolute' }"
    >
      <div style="text-align: center; line-height: 0.5">
        <span style="font-size: 0.35em; color: #bcbcbc">▲</span>
      </div>
      <div>
        <span
          class="step-indicator"
          style="font-size: 0.6em; line-height: 1; font-weight: bold; display: block; padding-top: 3px"
          [attr.data-after-content]="unite"
        >
          {{ step }}
        </span>
      </div>
    </div>
  </div>
</div>

<mat-menu #appMenu="matMenu" class="data-list" xPosition="before" backdropClass="sg-vertical-sub-menu">
  <ng-template matMenuContent let-aliasMenuItems="menuItems">
    <h3 class="px-2 drop-header">{{ dropDownTitle }}</h3>
    <button mat-menu-item *ngFor="let item of aliasMenuItems" class="my-2 data-btn">
      <h4 class="pb-0 mb-0"[routerLink]="['/employees/detail', item.id]"  >{{ item.displayName }}</h4>
      <span class="pl-1">
        <svg-icon src="assets/icon-svg/calendar.svg" [svgStyle]="{ 'width.px': 15, 'height.px': 15 }"></svg-icon>
        <small> {{ dateLabel }} {{ item.date | date: 'dd MMM yyyy' }} </small>
      </span>
    </button>
  </ng-template>
</mat-menu>

<ng-template #templatePortalContent>
  <div  class="drop-menu-container">
    <h3 class="px-2 drop-header">{{ dropDownTitle }}</h3>
    <div class="drop-menu-content">
      <div class="li" *ngIf="driverCardunloading">
        <button mat-menu-item  [routerLink]="['/employees/detail', item.id]" *ngFor="let item of menuData" class="my-2  data-btn" >
          <h4 class="pb-0 mb-0"   >{{ item.displayName }} </h4>
               <span class="pl-1">
            <svg-icon
              src="assets/icon-svg/filled-calendar.svg"
              [svgStyle]="{ 'width.px': 13, 'height.px': 13 }"
            ></svg-icon>
            <small> {{ dateLabel }} {{ item.date | date: 'dd MMM yyyy' }} </small>
          </span>
        </button>
      </div>
      <!--validitésdriver-->
      <div class="li" *ngIf="driverCardvalidities">
        <button mat-menu-item  [routerLink]="['/employees/detail', item.id]" *ngFor="let item of menuData" class="my-2  data-btn" >
          <h4 class="pb-0 mb-0">{{ item.displayName }} </h4>
            <span class="pl-1">
            <svg-icon
              src="assets/icon-svg/filled-calendar.svg"
              [svgStyle]="{ 'width.px': 13, 'height.px': 13 }"
            ></svg-icon>
            <small> {{ dateLabel }} {{ item.date | date: 'dd MMM yyyy' }} </small>
          </span>
        </button>
      </div>
      <!---->
      <div class="li" *ngIf="tachygraphesunloading">
        <button mat-menu-item  [routerLink]="['/vehicles/detail', item.id]" *ngFor="let item of menuData" class="my-2  data-btn" >
          <h4 class="pb-0 mb-0"   >{{ item.displayName }} </h4>
           <span class="pl-1">
            <svg-icon
              src="assets/icon-svg/filled-calendar.svg"
              [svgStyle]="{ 'width.px': 13, 'height.px': 13 }"
            ></svg-icon>
            <small> {{ dateLabel }} {{ item.date | date: 'dd MMM yyyy' }} </small>
          </span>
        </button>
      </div>
<!---->
<div class="li" *ngIf="tachygraphesvalidities">
  <button mat-menu-item  [routerLink]="['/vehicles/detail', item.id]" *ngFor="let item of menuData" class="my-2  data-btn" >
    <h4 class="pb-0 mb-0"   >{{ item.displayName }} </h4>
     <span class="pl-1">
      <svg-icon
        src="assets/icon-svg/filled-calendar.svg"
        [svgStyle]="{ 'width.px': 13, 'height.px': 13 }"
      ></svg-icon>
      <small> {{ dateLabel }} {{ item.date | date: 'dd MMM yyyy' }} </small>
    </span>
  </button>
</div>
    </div>
  </div>
</ng-template>
